Package org.apache.felix.bundleplugin

# Class WrapPlugin

java.lang.Object
org.apache.maven.plugin.AbstractMojo
org.apache.felix.bundleplugin.BundlePlugin
org.apache.felix.bundleplugin.ManifestPlugin
org.apache.felix.bundleplugin.BundleAllPlugin
org.apache.felix.bundleplugin.WrapPlugin

All Implemented Interfaces:
  `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

@Deprecated @Mojo(name="wrap", requiresDependencyResolution=TEST, defaultPhase=PACKAGE) public final class WrapPlugin extends BundleAllPlugin
Deprecated.
The wrap goal is no longer supported and may be removed in a future release
Build an OSGi bundle jar for direct dependencies.

## Field Summary

### Fields inherited from class org.apache.felix.bundleplugin.ManifestPlugin

`rebuildBundle`

### Fields inherited from class org.apache.felix.bundleplugin.BundlePlugin

`artifactFactory, artifactResolver, classifier, createDependencyReducedPom, dependencyGraphBuilder, dependencyReducedPomLocation, dumpClasspath, dumpInstructions, excludeDependencies, exportScr, manifestLocation, mavenProjectBuilder, niceManifest, noWarningProjectTypes, packaging, project, remoteArtifactRepositories, scrLocation, session, supportedProjectTypes, unpackBundle`

### Fields inherited from interface org.apache.maven.plugin.Mojo

`ROLE`

## Constructor Summary

Constructors
Constructor
Description
`WrapPlugin()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`
Deprecated.

### Methods inherited from class org.apache.felix.bundleplugin.BundleAllPlugin

`bundle, bundleAll, getFile, getOutputFile, logDuplicatedPackages, snapshotMatch`

### Methods inherited from class org.apache.felix.bundleplugin.ManifestPlugin

`calculateExportsFromContents, execute, getAnalyzer, getAnalyzer, getManifest, getManifest, writeManifest, writeManifest`

### Methods inherited from class org.apache.felix.bundleplugin.BundlePlugin

`addMavenInstructions, addMavenSourcePath, buildOSGiBundle, convertVersionToOsgi, dumpClasspath, dumpInstructions, dumpManifest, getBase, getBuildDirectory, getBundleName, getClasspath, getDefaultProperties, getEmbeddableArtifacts, getInstructions, getMaven2OsgiConverter, getMavenResourcePaths, getOptionalPackages, getOSGiBuilder, getOutputDirectory, getProject, includeMavenResources, isTransitivelyOptional, mergeManifest, mergeMavenManifest, removeTagFromInstruction, reportErrors, sanitize, sanitize, setBuildDirectory, setOutputDirectory, transformDirectives, updateExcludesInDeps`

### Methods inherited from class org.apache.maven.plugin.AbstractMojo

`getLog, getPluginContext, setLog, setPluginContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WrapPlugin

public WrapPlugin()
Deprecated.

## Method Details

### execute

public void execute() throws org.apache.maven.plugin.MojoExecutionException
Deprecated.

Specified by:
  `execute` in interface `org.apache.maven.plugin.Mojo`
Overrides:
  `execute` in class `BundleAllPlugin`
Throws:
  `org.apache.maven.plugin.MojoExecutionException`
See Also:
  - `Mojo.execute()`